#FLM Switch encoding and remove glyphs out of encoding, add .notdef, .null, CR, copy hyphen to sfthyphen. 0.0.d
#switches to Names
import fl_cmd
fl.CallCommand(fl_cmd.FontModeNames)
#sets TTG_1251 encoding
import FL, os.path
encfile = os.path.join(fl.path, "Encoding", "ttg_Win_1251.enc")
encoption = 1
enccharset = 204
f = fl.font
f.encoding.Load(encfile)
f.ms_charset = enccharset
o = FL.Options()
o.T1Encoding = encoption
o.Save()

# building sfthyphen
from robofab.world import CurrentFont
f = CurrentFont()
# make sfthyphen
f.newGlyph("sfthyphen")
# add the component for the base glyph, a
f["sfthyphen"].appendComponent("hyphen")
# Generate unicode
fl.CallCommand(fl_cmd.SymbolCalculateUnicode)

# building null
from robofab.world import CurrentFont
f = CurrentFont()
# make .null
f.newGlyph(".null")
# add the component for the base glyph, a
f[".null"].appendComponent("space")

# building CR
from robofab.world import CurrentFont
f = CurrentFont()
# make CR
f.newGlyph("CR")
# add the component for the base glyph, a
f["CR"].appendComponent("space")
#
# Removes glyphs out of encoding
f = fl.font
e = fl.font.encoding
egis = []
for er in e: 
  egi = f.FindGlyph(er.name)
  if egi: 
    egis.append(egi)
for gi in range(len(f.glyphs)-1,-1,-1): 
  if egis.count(gi) == 0: 
    del f.glyphs[gi]
    import fl_cmd
#
# building notdef
from robofab.world import CurrentFont
f = CurrentFont()
# make .notdef
f.newGlyph(".notdef")
# add the component for the base glyph, a
f[".notdef"].appendComponent("space")
#
fl.UpdateFont(-1)